# Changelog

## Unreleased

## 5.3.1 - 2019-01-08

### Deprecated

-   [Patch] Rename `ClearButton` to `InputClearButton`. The old name will continue to work until the next major version release. (#1440)

## 5.3.0 - 2018-12-06

### Added

-   [Minor] Pass entire event object as second argument to `onChange`.

## 5.2.3 - 2018-12-03

### Changed

-   [Patch] Use a tilde for Sass imports (#1256)

## 5.2.2 - 2018-12-03

### Changed

-   [Patch] Upgrade to latest version of eslint.

## 5.2.1 - 2018-11-27

### Changed

-   [Patch] Publish package to public NPM.

## 5.2.0 - 2018-10-31

### Changed

-   [Minor] Add `autoComplete` prop to Input. (#900)

## 5.1.0 - 2018-10-22

### Added

-   [Minor] Add support for `onKeyDown` prop

## 5.0.0 - 2018-10-22

### Fixed

-   [Major] Move `InputRow` into `peerDependencies` since we only want one version of `InputRow` loaded in a codebase. (#1058)

## 4.3.5 - 2018-10-04

-   [Patch] Use latest version of Thumbprint Icons.

## 4.3.4 - 2018-10-03

### Changed

-   [Patch] Convert Input to use MDX for documentation. (#1251)

### Fixed

-   [Patch] Isolated `::-ms-clear` rule because it was not being applied when it was grouped with the `::-webkit` selectors. It appears that IE 11 ignores the declaration if there are selectors it doesn't understand. (#1232)

## 4.3.3 - 2018-09-12

### Changed

-   [Patch] Upgrade version of Prettier and Thumbprint Tokens.

## 4.3.2 - 2018-09-04

### Changed

-   [Patch] Use latest version of `tp-ui-react-input-row`.

## 4.3.1 - 2018-08-28

### Fixed

-   [Patch] Fix incorrect prop descriptions.
-   [Patch] Fix regression in focus style introduced in `4.2.0`. (#1101)

## 4.3.0 - 2018-08-21

### Added

-   [Minor] Add support for `inputMode`, `pattern` and `maxLength` props

## 4.2.0 - 2018-08-17

### Added

-   [Minor] Add support for `dataTest` prop

### Changed

-   [Patch] Use latest version of Thumbprint Tokens.

## 4.1.1 - 2018-08-10

### Changed

-   [Patch] Use camelCase classes in CSS modules.

## 4.1.0 - 2018-07-27

### Added

-   [Minor] Add `onKeyUp` and `onFocus` props to `Input`.

## 4.0.2 - 2018-07-26

### Changed

-   [Patch] Use latest version of Thumbprint Icons.

## 4.0.1 - 2018-07-25

### Changed

-   [Patch] Use latest version of Thumbprint Icons.

## 4.0.0 - 2018-07-20

### Added

-   [Minor] Support use within the `InputRow` component. (#871)

### Changed

-   [Major] Require React `>= 16.3.0`.

## 3.1.5 - 2018-07-19

### Fixed

-   [Patch] Fix SCSS that tried to add placeholder color and remove browser clear button. (#1009)
-   [Patch] Remove incorrect outline that was appearing in an input of `type="tel"`. (#1008)
-   [Patch] Normalize beavior of small input across browsers. (#994)

## 3.1.4 - 2018-07-17

### Fixed

-   [Patch] Improve behavior of small input in Edge and Firefox. (#994)

## 3.1.3 - 2018-07-09

### Fixed

-   [Patch] Prevent z-index from bubbling out of the component. (#954)

## 3.1.2 - 2018-07-03

### Changed

-   [Patch] Use latest version of Thumbprint Icons.

## 3.1.1 - 2018-06-25

### Changed

-   [Patch] Use latest version of Thumbprint Icons.

## 3.1.0 - 2018-06-13

### Added

-   [Minor] Add an `id` prop for pairing the form field with a label.

## 3.0.2 - 2018-06-04

### Changed

-   [Patch] Change font-size of large input from 18px to 16px. The height of the input remains the same.

### Fixed

-   [Patch] Input element no longer expands beyond boundaries when using `input[type="number"]`. (#924)

## 3.0.1 - 2018-05-31

-   [Patch] Use latest version of Thumbprint Icons.

## 3.0.0 - 2018-05-21

### Changed

-   [Major] Use CSS modules instead of styled-components. (#855)

## 2.2.6 - 2018-05-16

### Fixed

-   [Patch] Fix inconsistent spacing for icons within inputs. (#902)

## 2.2.5 - 2018-05-04

### Changed

-   [Patch] Use latest version of Thumbprint Icons.

## 2.2.4 - 2018-04-19

### Changed

-   [Patch] Fix mistake where CommonJS package was published as ES module. (#822)

## 2.2.3 - 2018-04-16

### Changed

-   [Patch] Use latest version of Thumbprint Tokens.

## 2.2.2 - 2018-04-13

### Changed

-   [Patch] Publish package as CommonJS and ES module.

## 2.2.1 - 2018-04-10

### Fixed

-   [Patch] Fix PropTypes declaration for `value` prop.

## 2.2.0 - 2018-04-10

### Added

-   [Minor] Add `shouldFocusOnPageLoad` prop that adds the HTML `autofocus` attribute. (#804, #530)

## 2.1.0 - 2018-04-09

### Added

-   [Minor] Add `number` option to the `type` prop.

## 2.0.3 - 2018-03-19

### Fixed

-   [Patch] Fix focus text color in error state. (#752)

## 2.0.2 - 2018-03-16

### Changed

-   [Patch] Update Thumbprint Icons version.

## 2.0.1 - 2018-03-14

### Changed

-   [Patch] Explicitly state that there is no box-shadow and border on input when focus. This is to work against legacy CSS in `website`. (#747)

## 2.0.0 - 2018-03-14

### Added

-   [Minor] Add `hasError` prop to visually indicate an error.
-   [Minor] Add `innerLeft` and `innerRight` props, making it possible to easily pass in icons and other HTML. (#395)
-   [Minor] Export `InputIcon` and `ClearButton` sub-components. These make it easy to pass in icons or a "clear input" button to `innerLeft` and `innerRight`.

### Removed

-   [Major] Remove `medium` size and default to `large`. Large went from `48px` tall to `52px` and small went from `30px` to `40px`. Medium was previously `38px` tall.

## 1.0.0 - 2017-02-20

## 1.0.0-1 - 2018-02-15

### Changed

-   [Patch] Add test that assets only the value of the input is passed to `onChange`.

## 1.0.0-0 - 2018-02-14

### Changed

-   [Major] Require `value` prop and add a default `value` of `''` to prevent use as an uncontrolled component. (#331, #388)

## 0.7.2 - 2018-02-07

### Changed

-   [Patch] Use latest version of Thumbprint Tokens.

## 0.7.1 - 2018-01-30

### Changed

-   [Patch] Add support for styled-components `^3.0.0` to peer dependencies.

## 0.7.0 - 2018-01-16

### Changed

-   [Minor] Use latest version of Thumbprint Tokens. This includes new brand colors.

## 0.6.1 - 2018-01-11

### Changed

-   [Patch] Update npm `latest` tag since it was accidentally pointed to a `prepublish` version of our
    components.

## 0.6.0 - 2018-01-11

### Added

-   [Minor] Add support for `type="tel"`. (#604)

## 0.5.0 - 2017-01-08

### Added

-   [Minor] Add `name` prop for form submissions. (#364)
-   [Minor] Add `onBlur` prop. (#531)

## 0.4.2 - 2017-12-19

### Changed

-   [Patch] Add `height: auto` to prevent legacy code from overriding height. (#313)

## 0.4.1 - 2017-12-11

### Changed

-   [Patch] Run `babel-plugin-styled-components` before publishing component.

## 0.4.0 - 2017-12-05

### Added

-   [Minor] Add `size` prop with sizes `small`, `medium`, and `large`. (#493)

## 0.3.4 - 2017-11-21

### Changed

-   [Patch] Rewrite documentation with Gatsby.
-   [Patch] Use Prettier to format files.

## 0.3.3 - 2017-11-16

### Changed

-   [Patch] Change `peerDependencies` to include React 16.

## 0.3.2 - 2017-11-01

### Changed

-   [Major] Move `styled-components` from `dependencies` to `peerDependencies`.

## 0.3.1 - 2017-10-31

### Changed

-   [Patch] Update `@thumbtack/thumbprint-tokens` to version `4.0.1`.

## 0.3.0 - 2017-10-13

### Added

-   [Minor] Support `input[type="search"]` through the `type` prop.

### Changed

-   [Patch] Border color now `$tp-color__ui__pale`, replacing `$tp-color__ui__base` as it was too
    light.

## 0.2.6 - 2017-10-04

### Changed

-   [Patch] Use latest version of `thumbprint-tokens`.

## 0.2.5 - 2017-10-02

### Fixed

-   [Patch] Change how we import component in Jest to avoid a bizarre Jest bug.

## 0.2.4 - 2017-08-16

### Changed

-   [Patch] Use `lodash` methods directly to decrease bundle size of consumers that do not support
    tree-shaking.

## 0.2.3 - 2017-08-07

### Changed

-   [Patch] Increase specificity of generated CSS for component to take precedence. (#244)

## 0.2.2 - 2017-08-01

### Fixed

-   [Patch] Don't throw error if `onClick` is not supplied. (#237)

## 0.2.1 - 2017-07-21

### Added

-   [Patch] Add an option `onClick` prop to fire events when clicking into the input.

## 0.2.0 - 2017-07-19

### Changed

-   [Major] Convert `Input` to a controlled component. This removes the `defaultValue` prop in favor
    of a `value` prop.

## 0.1.1 - 2017-07-13

### Added

-   [Patch] Add component tests.

### Changed

-   [Patch] Update code to conform to ESLint standards.

## 0.1.0 - 2017-07-10

### Added

-   [Minor] Create first version of `tp-ui-react-input`.
